Subject: Re: [PATCH v2 00/12] fsmonitor: Implement fsmonitor for Linux

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Oct 2022 08:43:42 -0700

Glen Choo <[email-masked]> writes:

> At $DAYJOB, we observed that this topic breaks MacOS builds with sha1dc:
>
>   $ make NO_APPLE_COMMON_CRYPTO=1 DC_SHA1=1 NO_OPENSSL=1 compat/fsmonitor/fsm-ipc-darwin.o  

Glen, Ævar has cherry-picked the SHA_CTX -> git_SHA_CTX build fix
and I have merged it to 'next'.  Can you test-build to see if that
change is sufficient to fix "does not even build from the source"
issue for you guys?  You do not have to go through any official full
qualification cycle or release procedure---just checking that you
would be OK when you need to do the build the next time before it
has to happen is sufficient.

Thanks.